Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 30 est mort ce soir

#1 23/01/2010 18:19:30

inouire
Membre
Inscription : 01/06/2009
Messages : 125

derniere version du kmod-catalyst ne marche pas?

Bonjour,

J'utilise depuis toujours le kmod-catalyst , et j'attends à chaque mise à jour noyau que la version du kmod adaptée suive.

Aujourd'hui mise à jour noyau (2.6.30.10-105.2.4 ) ET kmod (9.12)
Malheureusement, au reboot, la session x se lance mal (écran noir, et je dirais meme comme si non alimenté...)
Quelle que soit la version noyau utilisée, pas de lancement possible...

J'ai procédé à un

yum remove *catalyst*

en lancant en runlevel 3. Et tout remarche (résolution ok), mais bien sur ma carte n'est pas vraiment exploitée...
Le nouveau noyau sans kmod, pas de problème.

Quelqu'un rencontre-t-il le problème après cette mise à jour? Comment installer l'ancienne version du driver?

ATI RadeonHD2400

EDIT: je vais me faire tuer par vindicators hammer mais bon avant ça marchait très bien !!

Dernière modification par inouire (23/01/2010 18:38:56)

Hors ligne

#2 23/01/2010 19:00:19

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 22 562

Re : derniere version du kmod-catalyst ne marche pas?

1) pour démarrer en mode vesa, il n'est pas utile de désinstaller catalyst, il suffit de modifier le fichier xorg.conf

2) tu as relevé les messages d'erreur dans Xorg.0.log ?


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#3 23/01/2010 19:32:02

inouire
Membre
Inscription : 01/06/2009
Messages : 125

Re : derniere version du kmod-catalyst ne marche pas?

1) ok ! mais je suis vraiment pas chaud chaud pour modifier à la main le xorg.conf....au pire j'imagine que je perds du temps en faisant yum remove/install ... ?
2) ok je vais voir !

Hors ligne

#4 23/01/2010 19:40:15

inouire
Membre
Inscription : 01/06/2009
Messages : 125

Re : derniere version du kmod-catalyst ne marche pas?

voilà !!! c'est plutot explicite !!

X.Org X Server 1.6.3.901 (1.6.4 RC 1)
Release Date: 2009-8-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-164.el5 i686 
Current Operating System: Linux ordi-de-clem 2.6.30.10-105.2.4.fc11.i586 #1 SMP Tue Jan 19 22:31:48 UTC 2010 i686
Kernel command line: ro root=UUID=dfd56745-5d9e-423a-b3bd-04d82880feba rhgb quiet vga=0x323 
Build Date: 09 September 2009  11:25:24AM
Build ID: xorg-x11-server 1.6.4-0.1.fc11 
    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.2.log", Time: Sat Jan 23 16:18:20 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "single head configuration"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Videocard0"
(==) No monitor specified for screen "Screen0".
    Using a default monitor configuration.
(**) Option "AIGLX" "on"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
    catalogue:/etc/X11/fontpath.d,
    built-ins
(**) ModulePath set to "/usr/lib/xorg/modules/extensions/catalyst,/usr/lib/xorg/modules"
(**) Extension "Composite" is enabled
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on HAL to provide the list of input devices.
    If no devices become available, reconfigure HAL or disable AllowEmptyInput.
(II) Loader magic: 0xa40
(II) Module ABI versions:
    X.Org ANSI C Emulation: 0.4
    X.Org Video Driver: 5.0
    X.Org XInput driver : 4.0
    X.Org Server Extension : 2.0
(II) Loader running on linux
(--) using VT number 7

(--) PCI:*(0:1:0:0) 1002:94c9:144d:c034 ATI Technologies Inc Mobility Radeon HD 2400 rev 0, Mem @ 0xc0000000/536870912, 0xe0000000/65536, I/O @ 0x00009000/256, BIOS @ 0x????????/131072
(II) No APM support in BIOS or kernel
(II) System resource ranges:
    [0] -1    0    0xffffffff - 0xffffffff (0x1) MX[b]
    [1] -1    0    0x000f0000 - 0x000fffff (0x10000) MX[b]
    [2] -1    0    0x000c0000 - 0x000effff (0x30000) MX[b]
    [3] -1    0    0x00000000 - 0x0009ffff (0xa0000) MX[b]
    [4] -1    0    0x0000ffff - 0x0000ffff (0x1) IX[b]
    [5] -1    0    0x00000000 - 0x00000000 (0x1) IX[b]
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
    compiled for 1.6.3.901, module version = 1.0.0
    Module class: X.Org Server Extension
    ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
    compiled for 1.6.3.901, module version = 1.0.0
    Module class: X.Org Server Extension
    ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
    compiled for 1.6.3.901, module version = 1.0.0
    ABI class: X.Org Server Extension, version 2.0
(**) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
    compiled for 1.6.3.901, module version = 1.13.0
    Module class: X.Org Server Extension
    ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
    compiled for 1.6.3.901, module version = 1.0.0
    ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions//libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
    compiled for 1.6.3.901, module version = 1.1.0
    ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "fglrx"
(WW) Warning, couldn't open module fglrx
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (module does not exist, 0)
(EE) No drivers available.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
     at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.2.log" for additional information.

Hors ligne

#5 23/01/2010 19:40:17

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 18 034
Site Web

Re : derniere version du kmod-catalyst ne marche pas?

Bizarre... et en démarrant sur l'ancien noyau? parce qu'il se peut qu'il y ai quelques problèmes avec le dernier...


AMD R7 2700X, MSI Pro Carbon X470, 32Go DDR4 3200@3333Mhz Gskill TridentZ CL14, RX 5700XT MSI Watercooling OC
SSD: 1x 970 EVO NVME 500Go + 1x500Go BX500 + 1x500Go 860 EVO, 3x1To 860 Evo, HDD 1x2To WD black, 1x4to WD Black, 1x3To WD Red, GMT BeQuiet Dark 900+Lepa 800W 80+gold
AMD R5 2600, Asus A320, 16Go DDR4 2400Mhz Gskill AEGIS, 1x250GO SSD EVO, 3x 2To RAID 5 WD Blue, Gigabyte 400W+Cube Chieftec/ AMD R3 2200g + 32Go DDR4 2933+1xSSD Evo 500Go , 3x1To QVO RAID5

Hors ligne

#6 23/01/2010 19:42:06

inouire
Membre
Inscription : 01/06/2009
Messages : 125

Re : derniere version du kmod-catalyst ne marche pas?

tu as mon log en 2 sec? ;)
non en démarrant sur les deux précédents noyaux, ça fait le meme effet.

Hors ligne

#7 23/01/2010 19:56:50

inouire
Membre
Inscription : 01/06/2009
Messages : 125

Re : derniere version du kmod-catalyst ne marche pas?

(II) LoadModule: "fglrx"
(WW) Warning, couldn't open module fglrx
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (module does not exist, 0)
(EE) No drivers available.

mouais....fglrx n'existe pas??? il a toujours été là avant !

Hors ligne

#8 23/01/2010 20:19:51

inouire
Membre
Inscription : 01/06/2009
Messages : 125

Re : derniere version du kmod-catalyst ne marche pas?

pas d'idée?

Hors ligne

#9 23/01/2010 20:54:00

kwizart
Rédacteur Wiki
Rédacteur Wiki
Lieu : Paris, France
Inscription : 21/01/2005
Messages : 7 137
Site Web

Re : derniere version du kmod-catalyst ne marche pas?

que donne un modinfo fglrx ?

Dans le cas ou un miroir serait mis à jours tardivement, fait:
yum clean metadata ; yum update
voire yum install kmod-catalyst

Hors ligne

#10 25/01/2010 19:25:10

Oléo
Membre
Inscription : 28/12/2008
Messages : 44
Site Web

Re : derniere version du kmod-catalyst ne marche pas?

J'ai le même problème.
Pour l'instant j'ai remplacé "fglrx" par "ati" dans le xorg.


Sony VPCEB3S1E - i5 M 460 - Radeon HD 5600 - F16 x64 Gnome3

Hors ligne

#11 25/01/2010 19:49:17

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 22 562

Re : derniere version du kmod-catalyst ne marche pas?

ati est un vieux module. Essaie plutôt radeon.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#12 25/01/2010 20:02:37

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 18 034
Site Web

Re : derniere version du kmod-catalyst ne marche pas?

Pas mieux... pourquoi? voir la documentation sur les pilotes libres...


AMD R7 2700X, MSI Pro Carbon X470, 32Go DDR4 3200@3333Mhz Gskill TridentZ CL14, RX 5700XT MSI Watercooling OC
SSD: 1x 970 EVO NVME 500Go + 1x500Go BX500 + 1x500Go 860 EVO, 3x1To 860 Evo, HDD 1x2To WD black, 1x4to WD Black, 1x3To WD Red, GMT BeQuiet Dark 900+Lepa 800W 80+gold
AMD R5 2600, Asus A320, 16Go DDR4 2400Mhz Gskill AEGIS, 1x250GO SSD EVO, 3x 2To RAID 5 WD Blue, Gigabyte 400W+Cube Chieftec/ AMD R3 2200g + 32Go DDR4 2933+1xSSD Evo 500Go , 3x1To QVO RAID5

Hors ligne

#13 25/01/2010 20:05:14

Oléo
Membre
Inscription : 28/12/2008
Messages : 44
Site Web

Re : derniere version du kmod-catalyst ne marche pas?

Ok merci :)


Sony VPCEB3S1E - i5 M 460 - Radeon HD 5600 - F16 x64 Gnome3

Hors ligne

#14 31/01/2010 02:10:59

bahamut00
Membre
Inscription : 01/12/2007
Messages : 64

Re : derniere version du kmod-catalyst ne marche pas?

Salut à tous,

j'ai eu le même problème d'écran noir après upgrade vers 9.12. Le problème semble compliqué mais la solution est triviale: elle est décrite sur cette page du forum anglais. Pour faire simple: il semblerait que le fichier /etc/ati/amdpcsdb soit incompatible avec la 9.12. Supprimez-le, il sera regénéré proprement à partir du /etc/ati/amdpcsdb.default (assurez-vous de bien l'avoir).
Ca a marché pour moi, à mettre sur le wiki résolution des problèmes du pilote propriétaire si les modos pensent que c'est la bonne solution.

C'est toujours frustrant de devoir faire sa prière à chaque upgrade du système. D'un autre côté, c'est plaisant de voir le travail fait par certains (ça inclut le forum français!). Merci les gars.

Hors ligne

#15 31/01/2010 11:29:51

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 22 562

Re : derniere version du kmod-catalyst ne marche pas?

Intéressant cette page du forum anglais.

Je m'interroge tout de même car si la solution était si facile, j'ai du mal à croire de les gens de rpmfusion ne l'aient pas appliquée.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#16 31/01/2010 18:02:49

bahamut00
Membre
Inscription : 01/12/2007
Messages : 64

Re : derniere version du kmod-catalyst ne marche pas?

nouvo09 a écrit :

Intéressant cette page du forum anglais.

Je m'interroge tout de même car si la solution était si facile, j'ai du mal à croire de les gens de rpmfusion ne l'aient pas appliquée.

Tout semble dit ici:

Apparently, shame on ATI, the Catalyst 9.12 chokes on amdpcsdb being created by earlier versions.

Si vous n'avez jamais installé Catalyst, aucun problème. Et je me demande si ça n'apparait pas que dans le cas 9.10 -> 9.12 (je ne sais plus quelle version j'avais avant). Dans ce cas ça devient difficile à détecter.:-?

Hors ligne

#17 01/02/2010 00:10:04

inouire
Membre
Inscription : 01/06/2009
Messages : 125

Re : derniere version du kmod-catalyst ne marche pas?

merci là tous ! je teste tout ça ce soir !

EDIT: ça marche en fait, mais j'ai tapé cela :

yum reinstall kmod-catalyst xorg-x11-drv-catalyst xorg-x11-drv-catalyst-libs
mkinitrd -v /boot/initrd-`uname -r`.img `uname -r`
rm /etc/ati/amdpcsdb
aticonfig --initial -f
reboot

tout est dans le aticonfig --initial -f il me semble !

Dernière modification par inouire (01/02/2010 02:14:41)

Hors ligne

#18 06/02/2010 14:42:04

Oléo
Membre
Inscription : 28/12/2008
Messages : 44
Site Web

Re : derniere version du kmod-catalyst ne marche pas?

Supprimer /etc/ati/amdpcsdb a parfaitement fonctionné pour moi. Merci !


Sony VPCEB3S1E - i5 M 460 - Radeon HD 5600 - F16 x64 Gnome3

Hors ligne

Pied de page des forums